Subject: bug#37911: Cannot build a system with colord-service.

From: Jack Hill <[email-masked]>
Date: Thu, 24 Oct 2019 17:19:52 -0400 (EDT)

On Thu, 24 Oct 2019, Pierre Langlois wrote:

> In gnome's settings it tells me that there are no devices that can be
> colour managed, I had assumed that was because colord was missing from
> the config but that's probably not it. Is it working for other people?
> If so it's probably just my hardware (ThinkPad x220).

I think it is not able to manage devices because the Argyll CMS dependency 
[0] is missing in Guix. Unfortunately, it seems to also depend on the 
discontinued Jam build tool [1], so there is a little bit of work to be 
done.

[0] https://argyllcms.com/
[1] https://www.perforce.com/documentation/jam-documentation

I did spot another issue with colord since the recent core-updates merge: 
https://issues.guix.gnu.org/issue/37843 It seems like it is no longer 
being started automatically via dbus?

Hope that helps,
Jack